### Method

# GdkX11 X11Display text_property_to_text_list

deprecated: 4.18

#### Declaration [src]

    int
    gdk_x11_display_text_property_to_text_list (
      GdkDisplay* display,
      const char* encoding,
      int format,
      const guchar* text,
      int length,
      char*** list
    )

#### Description [src]

Convert a text string from the encoding as it is stored in a property into an array of strings in the encoding of the current locale. (The elements of the array represent the nul-separated elements of the original text string.).

Deprecated since: 4.18

Please do not use it in newly written code.

#### Parameters

`encoding`

  Type: `const char*`

  A string representing the encoding. The most common values for this are “STRING”, or “COMPOUND_TEXT”. This is value used as the type for the property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `int`

  The format of the property.

`text`

  Type: `const guchar*`

  The text data.

  The data is owned by the caller of the method.

`length`

  Type: `int`

  The number of items to transform.

`list`

  Type: `char***`

  Location to store an array of strings in the encoding of the current locale. This array should be freed using gdk_x11_free_text_list().

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

The number of strings stored in list, or 0, if the conversion failed.